Subject: [Sip] UPDATE and P-Asserted-ID

From: "Elwell, John" <[email-masked]>
Date: Wed, 07 May 2003 10:19:55 +0100

In RFC3325 section 9.1 it indicates that P-Asserted-ID is not allowed in
UPDATE. Does anyone know the reason for this? A useful application would be
to indicate a changed asserted identity when a change of party occurs in a
legacy network (e.g., due to transfer). If not allowed in UPDATE, a
re-INVITE would need to be used, but this introduces an extra message.

John Elwell ([email-masked])

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Brett Tate" <[email-masked]>
Date: Wed, 7 May 2003 16:22:09 -0400

> In RFC3325 section 9.1 it indicates that 
> P-Asserted-ID is not allowed in UPDATE.

Thanks for pointing it out; I had never
noticed it.
 
> Does anyone know the reason for this?
> A useful application would be to indicate a 
> changed asserted identity when a change of 
> party occurs in a legacy network (e.g., due 
> to transfer). If not allowed in UPDATE, a

Another useful application is to allow the
display-name to be updated prior to answer.  
Without such ability, a B2BUA
(or pstn gateway device) would need to
delay sending INVITE while waiting to obtain
display-name from the pstn network or a remote 
database.